package land.chipmunk.chipmunkmod.config.migrations;

import land.chipmunk.chipmunkmod.config.migration.ConfigMigration;
import org.spongepowered.configurate.transformation.ConfigurationTransformation;
import org.spongepowered.configurate.transformation.TransformAction;

import static org.spongepowered.configurate.NodePath.path;

public final class MigrationV4 implements ConfigMigration {
    @Override
    public int version () {
        return 4;
    }

    @Override
    public ConfigurationTransformation create () {
        return ConfigurationTransformation.builder()
                .addAction(path("core", "logCommands"), TransformAction.set(Boolean.class, () -> false))
                .build();
    }
}
